%bcond_without systemd

Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.1.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	https://github.com/Irqbalance/irqbalance/archive/v%{version}.tar.gz
Patch0:		irqbalance-1.0.4-fix-service-env-path.patch
Patch1:		irqbalance-fix-aarch64.patch
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	irqbalance.1
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	gccmakedep
%ifnarch %{arm}
BuildRequires:	numa-devel
%endif
BuildRequires:	glib2-devel
BuildRequires:	libcap-ng-devel

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%prep
%setup -q
touch NEWS README AUTHORS ChangeLog
%autopatch -p1

%build
./autogen.sh

%configure2_5x
%make

%install
mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}
install irqbalance %{buildroot}%{_sbindir}
mkdir -p %{buildroot}{%{_initrddir},%{_sysconfdir}/sysconfig}
install %{SOURCE1} %{buildroot}%{_initrddir}/irqbalance
install %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/irqbalance
install %{SOURCE3} %{buildroot}%{_mandir}/man1/
%if %{with systemd}
mkdir -p %{buildroot}/lib/systemd/system/
install -c -m 644  misc/irqbalance.service %{buildroot}/lib/systemd/system/
%endif

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%{_mandir}/man1/*
%{_sbindir}/*
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%if %{with systemd}
/lib/systemd/system/irqbalance.service
%endif


%changelog
* Tue Jun 14 2016 tv <tv> 1.1.0-2.mga6
+ Revision: 1021482
- do not BR numa on arm

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.1.0-1.mga6
+ Revision: 917506
- 1.1.0
- add arm fix patch from fedora

* Sat Jul 25 2015 blino <blino> 1.0.9-1.mga6
+ Revision: 857189
- 1.0.9
- drop merged automake patch

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 748801
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-3.mga5
+ Revision: 680567
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 541491
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 1.0.7-1.mga4
+ Revision: 496005
- 1.0.7

* Sat Jun 15 2013 luigiwalser <luigiwalser> 1.0.6-1.mga4
+ Revision: 443430
- 1.0.6

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 354497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.0.5-1.mga3
+ Revision: 339738
- fix for automake 1.13
- 1.0.5

* Thu Sep 27 2012 tmb <tmb> 1.0.4-2.mga3
+ Revision: 298788
- fix irqbalance.service env path (#7501)

* Thu Sep 06 2012 fedya <fedya> 1.0.4-1.mga3
+ Revision: 288805
- version update 1.0.4

* Sat Apr 28 2012 tmb <tmb> 1.0.3-2.mga2
+ Revision: 233760
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Dec 07 2011 tmb <tmb> 1.0.3-1.mga2
+ Revision: 178368
- add native systemd support
- update to 1.0.3

* Sun Nov 27 2011 tv <tv> 1.0.2-1.mga2
+ Revision: 172548
- new release
- BuildRequires numa-devel

* Sun Feb 20 2011 eandry <eandry> 0.56-2.mga1
+ Revision: 55023
- drop buildroot and old conditionnal
- imported package irqbalance

